Bug 736710 - If we set condition type as 'Number of Commands Received Successfully' or 'Number of Commands Successfully Sent' alerts are not working
Summary: If we set condition type as 'Number of Commands Received Successfully' or 'Nu...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: RHQ Project
Classification: Other
Component: Alerts
Version: unspecified
Hardware: x86_64
OS: Linux
medium
high vote
Target Milestone: ---
: ---
Assignee: RHQ Project Maintainer
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-08 13:27 UTC by Jeeva Kandasamy
Modified: 2011-10-04 19:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-09 11:49:48 UTC


Attachments (Terms of Use)
db screen shot (51.23 KB, image/jpeg)
2011-09-08 13:27 UTC, Jeeva Kandasamy
no flags Details
server log file (9.06 KB, text/x-log)
2011-09-08 13:28 UTC, Jeeva Kandasamy
no flags Details

Description Jeeva Kandasamy 2011-09-08 13:27:25 UTC
Created attachment 522120 [details]
db screen shot

Description of problem:
Alert definitions are not working for 'Number of Commands Received Successfully' and 'Number of Commands Successfully Sent'.

Version-Release number of selected component (if applicable):
JON 3.0.0 Beta1-7

Steps to Reproduce:
1. Navigate to alert definition creation page for the resource 'RHQ Agent'
2. Create a alert definition like 'Metric Value Threshold [Number of Commands Received Successfully > 0.0]' (or) 'Metric Value Threshold [Number of Commands Successfully Sent > 0.0]'
3.The above alerts are never get trigger, even thought if it meets the condition
  
Actual results:
alerts are never get trigger

Expected results:
Should trigger if it meets the condition

Additional info: Screen shot and log files are attached

Comment 1 Jeeva Kandasamy 2011-09-08 13:28:50 UTC
Created attachment 522121 [details]
server log file

Comment 2 John Mazzitelli 2011-09-08 16:49:14 UTC
are these metrics enabled? look at the Schedules subtab in the UI. I think these might have been disabled (but the per-minute metrics ARE enabled).

Comment 3 Jeeva Kandasamy 2011-09-09 02:25:27 UTC
Yes John, You are correct. These metrics were disabled on 'Monitoring-->Schedules'. My bad I do not know this earlier. Hope we have document for this. After enabled these metrics alert definitions are executing as expected. Please move this bug to appropriate state.


Note You need to log in before you can comment on or make changes to this bug.